apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cmpil...@collab.net
Subject Re: [PATCH] apu-conf (fix for Berkeley DB)
Date Tue, 04 Dec 2001 03:11:37 GMT
Justin Erenkrantz <jerenkrantz@ebuilt.com> writes:

> > how about we add 2 new config options
> > --with-berkeley-db-include
> > --with-berkeley-db-lib
> > and let the user specify?
> 
> I'd rather not force the user to manually specify it if at all
> possible.  What's wrong with that snippet?  First check to
> see if libdb2 exists - if not, then try libdb.  We really ought
> to check for db2/db.h as well (then try db.h).  -- justin

Just my $.02 worth.  Subversion, which requires Berkeley DB 3.3.11,
will check your system in All The Usual Places for such, but we also
allow a --with-berkeley-db option to configure.


Mime
View raw message